<nav class="navbar navbar-default fixed-top navbar-expand-lg">
  <div class="container">
  <a class="navbar-brand active" routerLink="home" href="#"><strong><i>TENDER</i></strong></a>
    <ul class="nav navbar-nav">
      <li class="nav-item">
        <a class="nav-link" routerLink="search" href="#"><i>Search</i></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="dashboard" href="#"><i>DashBoard</i></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="pricingpolicy" href="#"><i>Pricing Policy</i></a>
      </li>
      <li class="nav-item">
          <a class="nav-link" routerLink="aboutus" href="#"><i>About Us</i></a>
        </li>
      </ul>
      <ul class="nav navbar-nav ">

          <a type="btn" class="btn btn-success btn-lg" id="starttrial" href="pricingpolicy"><i>START TRAIL </i></a> &nbsp; &nbsp;

          <a type="btn" class="btn btn-warning btn-lg" (click)="openModal(template)" id="register"><i>REGISTER </i></a> &nbsp; &nbsp;

        <Button id="logbtn" (click)="openModal(template1)" class="btn btn-primary navbar-btn"><i>LOGIN</i></Button>
    </ul> 
  </div>
</nav>

<ng-template #template>
    <div class="modal-header">
        <h4 class="modal-title pull-left">Registration Form</h4>
        <button type="button" class="close pull-right" 
                aria-label="Close" (click)="modalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
    </div>

    <div class="modal-body">
        <div class="container">
      
            <div class="row">
                <div class="col-md-6 offset-md-3">
                
                    <form id="f" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
                        <div class="form-group">
                            <label for="firstName">First Name</label>
                            <input type="text" class="form-control" placeholder="Enter First Name" name="firstName" [(ngModel)]="model.firstName" #firstName="ngModel" [ngClass]="{ 'is-invalid': f.submitted && firstName.invalid }" required />
                            <div *ngIf="f.submitted && firstName.invalid" class="invalid-feedback">
                                <div *ngIf="firstName.errors.required">First Name is required</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="lastName">Last Name</label>
                            <input type="text" class="form-control" placeholder="Enter Last Name" name="lastName" [(ngModel)]="model.lastName" #lastName="ngModel" [ngClass]="{ 'is-invalid': f.submitted && lastName.invalid }" required />
                            <div *ngIf="f.submitted && lastName.invalid" class="invalid-feedback">
                                <div *ngIf="lastName.errors.required">Last Name is required</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="text" class="form-control" placeholder="Enter Email ID" name="email" [(ngModel)]="model.email" #email="ngModel" [ngClass]="{ 'is-invalid': f.submitted && email.invalid }" required email />
                            <div *ngIf="f.submitted && email.invalid" class="invalid-feedback">
                                <div *ngIf="email.errors.required">Email is required</div>
                                <div *ngIf="email.errors.email">Email must be a valid email address</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" class="form-control" placeholder="Enter Password" name="password" [(ngModel)]="model.password" #password="ngModel" [ngClass]="{ 'is-invalid': f.submitted && password.invalid }" required minlength="6" />
                            <div *ngIf="f.submitted && password.invalid" class="invalid-feedback">
                                <div *ngIf="password.errors.required">Password is required</div>
                                <div *ngIf="password.errors.minlength">Password must be at least 6 characters</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary" aria-label="Close" (submit)="modalRef.hide()">Register</button>
                        </div>
                    </form>
                </div>
            </div>

      </div>     
    </div>
  </ng-template>

  <ng-template #template1>
      <div class="modal-header">
          <h4 class="modal-title pull-left">Log In Form</h4>
          <button type="button" class="close pull-right" 
                  aria-label="Close" (click)="modalRef.hide()">
        <span aria-hidden="true">&times;</span>
      </button>
      </div>

    <div class="modal-body">
        <div class="container">


      <form class="form-horizontal">
        <div class="form-group">
        <label class="control-label col-sm-2" for="email">Username</label>
        <div class="col-sm-8">
        <input type="email" class="form-control" id="email" placeholder="Enter Email">
        </div></div>
        <div class="form-group">
        <label class="control-label col-sm-2" for="pwd">Password</label>
        <div class="col-sm-8">
        <input type="email" class="form-control" id="pwd" placeholder="Password">
        </div></div> 
      </form>
        <br>
    <div class="form-group">
        <button class="btn btn-primary" id='btn'
        aria-label="Close" (click)="modalRef.hide()">Submit</button>
    </div>
   
  </div>     
</div>


  </ng-template>


<router-outlet></router-outlet>


<!-- Footer -->
<footer class="page-footer font-small " id="footer1" style="background-color: rgb(72, 143, 223);">

    <!-- Copyright -->
    <div class="footer text-center py-3" >
      <i>© 2018 Copyright By Chetan Choudhary</i>
    </div>
    <!-- Copyright -->

</footer>
  <!-- Footer -->